Bug 1897726 - F34FailsToInstall: python3-fiona
Summary: F34FailsToInstall: python3-fiona
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fiona
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1874310
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-11-13 22:03 UTC by Miro Hrončok
Modified: 2021-04-24 20:03 UTC (History)
2 users (show)

Fixed In Version: python-fiona-1.8.19-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-24 19:42:31 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2020-11-13 22:03:27 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (python-fiona) Fails To Install in Fedora 34:

can't install python3-fiona:
  - nothing provides libgdal.so.27()(64bit) needed by python3-fiona-1.8.13-5.fc33.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Miro Hrončok 2020-11-23 12:49:16 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Elliott Sales de Andrade 2020-12-03 07:50:35 UTC
Upstream is working on fixing the failing tests.

Comment 3 Ben Cotton 2021-02-09 15:24:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 4 Miro Hrončok 2021-03-28 12:36:06 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!

Comment 5 Fedora Update System 2021-04-04 02:51:49 UTC
FEDORA-2021-12479819ff has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

Comment 6 Fedora Update System 2021-04-05 01:39:51 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-12479819ff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-04-12 07:30:42 UTC
FEDORA-2021-12479819ff has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

Comment 8 Fedora Update System 2021-04-12 15:08:50 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-12479819ff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-24 19:42:31 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-04-24 20:03:24 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.